#!/bin/sh

if [ "$1" = "--help" ]; then
	echo "Fajl sorainak osszeget szamolja. A fajl parameterkent megadhato, illetve beolvassa."
else
  if [ $# -gt 0 ]; then
  	filename=$1
  else
  	echo -n "mi a fajl neve? :"
  	read filename
  fi
  
  #echo "$filename"
  until [ -f "$filename" ]; do
  	echo "  HIBA! Ilyen fajl nincs."
  	echo -n "    Add meg ujra! :"
  	read filename
  done
  
  sum=0
  
  for szam in `cat $filename`; do
  	if [ `expr $szam % 2` -eq 0 ]; then
  		sum=`expr $sum + $szam`
  	fi
  done
  
  echo "A fajlban levo szamok osszege: $sum"
fi
